package com.sambath.kunkhmer.screen.fighter

import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Toast
import com.sambath.kunkhmer.R
import com.sambath.kunkhmer.app.App
import kotlinx.android.synthetic.main.fragment_fighter_admin.view.et_date
import kotlinx.android.synthetic.main.fragment_fighter_admin.view.et_desc
import kotlinx.android.synthetic.main.fragment_fighter_admin.view.et_fighter_1
import kotlinx.android.synthetic.main.fragment_fighter_admin.view.et_fighter_2
import kotlinx.android.synthetic.main.fragment_fighter_admin.view.et_title

class FighterAdminFragment : Fragment() {
    private var _root: View? = null
    private val binding get() = _root!!
    private lateinit var fighterViewModel: FighterViewModel

    private final val fighter1 = "650d97d08cc32f66d67c0b60"
    private final val fighter2 = "650d98498cc32f66d67c0b65"
    private final val desc = "Keo Rumchong VS Thiago Teixeira"
    private final val title = "Keo Rumchong VS Thiago Teixeira"
    private final val date = "2023-10-30T12:55:04.395+0000"

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
    }

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        _root = inflater.inflate(R.layout.fragment_fighter_admin, container, false)

        fighterViewModel = FighterViewModel(App.injectApiService(), App.injectPrefHelper())
        fighterViewModel.state.observe(viewLifecycleOwner, androidx.lifecycle.Observer {
            render(it)
        })

        // Inflate the layout for this fragment
        return binding
    }

    private fun render(state: FighterViewState) {
        if (state.isLoginSuccess) {
            Toast.makeText(context, "Create Success...", Toast.LENGTH_LONG).show()

            binding.et_date.setText("")
            binding.et_title.setText("")
            binding.et_desc.setText("")
            binding.et_fighter_1.setText("")
            binding.et_fighter_2.setText("")
        }
        // Other state handling...
    }
}